<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__syspm_8h" kind="file" language="C++">
    <compoundname>cyhal_syspm.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="no">stdbool.h</includes>
    <includes local="yes" refid="cy__result_8h">cy_result.h</includes>
    <includes local="yes" refid="cyhal__general__types_8h">cyhal_general_types.h</includes>
    <includes local="yes" refid="cyhal__hw__types_8h">cyhal_hw_types.h</includes>
    <includedby local="yes" refid="cyhal__drivers_8h">cyhal_drivers.h</includedby>
    <includedby local="yes" refid="cyhal__adc_8c">cyhal_adc.c</includedby>
    <includedby local="yes" refid="cyhal__dac_8c">cyhal_dac.c</includedby>
    <includedby local="yes" refid="cyhal__dma__dmac_8c">cyhal_dma_dmac.c</includedby>
    <includedby local="yes" refid="cyhal__dma__dw_8c">cyhal_dma_dw.c</includedby>
    <includedby local="yes" refid="cyhal__flash_8c">cyhal_flash.c</includedby>
    <includedby local="yes" refid="cyhal__i2c_8c">cyhal_i2c.c</includedby>
    <includedby local="yes" refid="cyhal__i2s_8c">cyhal_i2s.c</includedby>
    <includedby local="yes" refid="cyhal__pwm_8c">cyhal_pwm.c</includedby>
    <includedby local="yes" refid="cyhal__qspi_8c">cyhal_qspi.c</includedby>
    <includedby local="yes" refid="cyhal__quaddec_8c">cyhal_quaddec.c</includedby>
    <includedby local="yes" refid="cyhal__scb__common_8c">cyhal_scb_common.c</includedby>
    <includedby local="yes" refid="cyhal__sdhc_8c">cyhal_sdhc.c</includedby>
    <includedby local="yes" refid="cyhal__spi_8c">cyhal_spi.c</includedby>
    <includedby local="yes" refid="cyhal__syspm_8c">cyhal_syspm.c</includedby>
    <includedby local="yes" refid="cyhal__tcpwm__common_8c">cyhal_tcpwm_common.c</includedby>
    <includedby local="yes" refid="cyhal__timer_8c">cyhal_timer.c</includedby>
    <includedby local="yes" refid="cyhal__uart_8c">cyhal_uart.c</includedby>
    <includedby local="yes" refid="cyhal__usb__dev_8c">cyhal_usb_dev.c</includedby>
    <includedby local="yes" refid="cyhal__pdmpcm_8h">cyhal_pdmpcm.h</includedby>
    <incdepgraph>
      <node id="371">
        <label>stdbool.h</label>
      </node>
      <node id="370">
        <label>stdint.h</label>
      </node>
      <node id="369">
        <label>cyhal_syspm.h</label>
        <link refid="cyhal__syspm_8h" />
        <childnode refid="370" relation="include">
        </childnode>
        <childnode refid="371" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__syspm_1ga999347dc2d0663c389a381e7d2e11798" kind="define" prot="public" static="no">
        <name>CYHAL_SYSPM_RSLT_BAD_ARGUMENT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a2fe5f42a913a4eefbf66dbe720f90041">CYHAL_RSLT_MODULE_SYSPM</ref>, 0))</initializer>
        <briefdescription>
<para>Incorrect argument passed into a function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" bodystart="166" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="166" />
      </memberdef>
      <memberdef id="group__group__hal__results__syspm_1ga31a8120e1330b35af8d99975a6b36bed" kind="define" prot="public" static="no">
        <name>CYHAL_SYSPM_RSLT_INIT_ERROR</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a2fe5f42a913a4eefbf66dbe720f90041">CYHAL_RSLT_MODULE_SYSPM</ref>, 1))</initializer>
        <briefdescription>
<para>Driver was unable to be initialized. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" bodystart="169" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="169" />
      </memberdef>
      <memberdef id="group__group__hal__results__syspm_1gad5eb7c83311bdc9781d8e2c192cd6d85" kind="define" prot="public" static="no">
        <name>CYHAL_SYSPM_RSLT_CB_REGISTER_ERROR</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a2fe5f42a913a4eefbf66dbe720f90041">CYHAL_RSLT_MODULE_SYSPM</ref>, 2))</initializer>
        <briefdescription>
<para>Failed to register callback. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" bodystart="172" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="172" />
      </memberdef>
      <memberdef id="group__group__hal__results__syspm_1ga562e13ca6ef5662a8c12c5533bb73deb" kind="define" prot="public" static="no">
        <name>CYHAL_SYSPM_RSLT_ERR_PM_PENDING</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a2fe5f42a913a4eefbf66dbe720f90041">CYHAL_RSLT_MODULE_SYSPM</ref>, 3))</initializer>
        <briefdescription>
<para>Power Management transition is pending, data cannot be transferred. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" bodystart="175" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="175" />
      </memberdef>
      <memberdef id="group__group__hal__results__syspm_1ga1da0dd0a239743cd61288baf0fd2528d" kind="define" prot="public" static="no">
        <name>CYHAL_SYSPM_RSLT_ERR_NOT_SUPPORTED</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a2fe5f42a913a4eefbf66dbe720f90041">CYHAL_RSLT_MODULE_SYSPM</ref>, 4))</initializer>
        <briefdescription>
<para>Functionality not supported on the current platform. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" bodystart="178" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="178" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__syspm_1ga144e474d3bfb544b207f172d1d8bd633" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_syspm_system_state_t</name>
        <enumvalue id="group__group__hal__syspm_1gga144e474d3bfb544b207f172d1d8bd633acd2a5522b6591eb77418369e464a3eb1" prot="public">
          <name>CYHAL_SYSPM_SYSTEM_NORMAL</name>
          <briefdescription>
<para>Normal Mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__syspm_1gga144e474d3bfb544b207f172d1d8bd633af4060b98561e43a6b930576644af014f" prot="public">
          <name>CYHAL_SYSPM_SYSTEM_LOW</name>
          <briefdescription>
<para>Low Power Mode. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_syspm_system_state_t: </bold><linebreak />Enumeration of the system wide power modes.</para></briefdescription>
        <detaileddescription>
<para>These modes are device specifc and may not be supported on all devices. Refer to the device specific documentation or the Data Sheet to determine what is allowed. Devices that do support these modes may have requirements for adjusting system settings such as clocks or voltage levels before transition. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="200" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" bodystart="196" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="197" />
      </memberdef>
      <memberdef id="group__group__hal__syspm_1ga716955af458772e538910575cbf6e1dd" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_syspm_hibernate_source_t</name>
        <enumvalue id="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda57c81752ef79a93b9a9701c59a8b35e3" prot="public">
          <name>CYHAL_SYSPM_HIBERNATE_LPCOMP0_LOW</name>
          <initializer>= 0x01U</initializer>
          <briefdescription>
<para>Wake on a low logic level for the LPComp0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda765ef14d1cc8c55710c122b77798204b" prot="public">
          <name>CYHAL_SYSPM_HIBERNATE_LPCOMP0_HIGH</name>
          <initializer>= 0x02U</initializer>
          <briefdescription>
<para>Wake on a high logic level for the LPComp0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda0a4d1ab39bb8cbece570a555971bcd99" prot="public">
          <name>CYHAL_SYSPM_HIBERNATE_LPCOMP1_LOW</name>
          <initializer>= 0x04U</initializer>
          <briefdescription>
<para>Wake on a low logic level for the LPComp1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda46ab6d77f810acb319caff3616a8f88c" prot="public">
          <name>CYHAL_SYSPM_HIBERNATE_LPCOMP1_HIGH</name>
          <initializer>= 0x08U</initializer>
          <briefdescription>
<para>Wake on a high logic level for the LPComp1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda2a495fcdf84252843b6fc9bc4e27206a" prot="public">
          <name>CYHAL_SYSPM_HIBERNATE_RTC_ALARM</name>
          <initializer>= 0x10U</initializer>
          <briefdescription>
<para>Configure the RTC alarm as wakeup source. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda519c726a562e214bd1694137e62a22e1" prot="public">
          <name>CYHAL_SYSPM_HIBERNATE_WDT</name>
          <initializer>= 0x20U</initializer>
          <briefdescription>
<para>Configure the WDT interrupt as wakeup source. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda9ccdbb4f654ce023bea0fafba50cab53" prot="public">
          <name>CYHAL_SYSPM_HIBERNATE_PINA_LOW</name>
          <initializer>= 0x40U</initializer>
          <briefdescription>
<para>Configure a low logic level for the first wakeup-pin. </para>          </briefdescription>
          <detaileddescription>
<para>See device datasheet for specific pin. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda0882eed07391eb7773ea2f4c47a7b5ff" prot="public">
          <name>CYHAL_SYSPM_HIBERNATE_PINA_HIGH</name>
          <initializer>= 0x80U</initializer>
          <briefdescription>
<para>Configure a high logic level for the first wakeup-pin. </para>          </briefdescription>
          <detaileddescription>
<para>See device datasheet for specific pin. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda1bf3cfcfb69b48e6b0ef5a525cc6eb3d" prot="public">
          <name>CYHAL_SYSPM_HIBERNATE_PINB_LOW</name>
          <initializer>= 0x100U</initializer>
          <briefdescription>
<para>Configure a low logic level for the second wakeup-pin. </para>          </briefdescription>
          <detaileddescription>
<para>See device datasheet for specific pin. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda69f639b3f33245d1a789fd443b94b47d" prot="public">
          <name>CYHAL_SYSPM_HIBERNATE_PINB_HIGH</name>
          <initializer>= 0x200U</initializer>
          <briefdescription>
<para>Configure a high logic level for the second wakeup-pin. </para>          </briefdescription>
          <detaileddescription>
<para>See device datasheet for specific pin. </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_syspm_hibernate_source_t: </bold><linebreak />Flags enum for the hibernate wakeup sources.</para></briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Not all wakeup sources are valid on devices. Refer to the datasheet for device specifics. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="222" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" bodystart="206" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="207" />
      </memberdef>
      <memberdef id="group__group__hal__syspm_1ga843f8267deb62a570fff3ce7ebf1a6c4" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_syspm_voltage_supply_t</name>
        <enumvalue id="group__group__hal__syspm_1gga843f8267deb62a570fff3ce7ebf1a6c4af5c399ada3960bb3f5e6784be9bdccc9" prot="public">
          <name>CYHAL_VOLTAGE_SUPPLY_VDDA</name>
          <initializer>= 0u</initializer>
          <briefdescription>
<para>VDDA - Analog supply voltage. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__syspm_1gga843f8267deb62a570fff3ce7ebf1a6c4a072774e669a76b4999d596b27bf897b0" prot="public">
          <name>CYHAL_VOLTAGE_SUPPLY_MAX</name>
          <initializer>= CYHAL_VOLTAGE_SUPPLY_VDDA</initializer>
          <briefdescription>
<para>Alias for the highest value in this enum. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_syspm_voltage_supply_t: </bold><linebreak />Supply voltages whose levels can be specified and queried via <ref kindref="member" refid="group__group__hal__syspm_1ga01d10df7bebeb345902a0d8e1c193ad1">cyhal_syspm_set_supply_voltage</ref> and <ref kindref="member" refid="group__group__hal__syspm_1ga6bbb8993f1add4b31d7b168fb670f842">cyhal_syspm_get_supply_voltage</ref>, respectively.</para></briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Not all supplies which are present are included here. This enum only contains the voltage supplies whose values are relevant to the operation of one or more HAL drivers. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="234" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" bodystart="230" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="231" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__hal__syspm_1ga507445e44ab6aae0f4cbaabaec6c5a3f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_syspm_hibernate</definition>
        <argsstring>(cyhal_syspm_hibernate_source_t wakeup_source)</argsstring>
        <name>cyhal_syspm_hibernate</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__syspm_1ga716955af458772e538910575cbf6e1dd">cyhal_syspm_hibernate_source_t</ref></type>
          <declname>wakeup_source</declname>
        </param>
        <briefdescription>
<para>Sets the system mode to hibernate. </para>        </briefdescription>
        <detaileddescription>
<para>This function configures the sources to wake up the device from hibernate mode and then sets the system to hibernate mode.</para><para>In hibernate mode, all internal supplies are off and no internal state is retained.</para><para>Sources can be wakeup pins, LPComparators, Watchdog (WDT) interrupt, or a Real-Time clock (RTC) alarm (interrupt). Wakeup from system hibernate always results in a device reset and normal boot process.</para><para>Wakeup pins:</para><para>A wakeup is supported by pins with programmable polarity. These pins are typically connected to the GPIO pins or on-chip peripherals under some conditions. See device datasheet to check if this feature is supported and for specific pin connections. Setting the wakeup pin to this level will cause a wakeup from system hibernate mode.</para><para>LPComparators:</para><para>A wakeup is supported by LPComps with programmable polarity. Setting the LPComp to this level will cause a wakeup from system hibernate mode.</para><para>Watchdog Timer:</para><para>A wakeup is performed by a WDT interrupt.</para><para>Real-time Clock:</para><para>A wakeup is performed by the RTC alarm.</para><para>For information about hibernate behavior, wakeup sources and their assignment in specific devices, refer to the appropriate device TRM.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">wakeup_source</parametername>
</parameternamelist>
<parameterdescription>
<para>The source to be configured as a wakeup source from the system hibernate power mode, see <ref kindref="member" refid="group__group__hal__syspm_1ga716955af458772e538910575cbf6e1dd">cyhal_syspm_hibernate_source_t</ref>. The input parameter values can be ORed. For example, if you want to enable LPComp0 (active high) and WDT, call this function: cyhal_syspm_hibernate(CYHAL_SYSPM_HIBERNATE_LPCOMP0_HIGH | CYHAL_SYSPM_HIBERNATE_WDT).</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition warning"&gt;&lt;p class="admonition-title"&gt;warning&lt;/p&gt;&lt;p&gt;&lt;p&gt;Do not call this function with different polarity levels for the same wakeup source. For example, do not call a function like this: cyhal_syspm_hibernate(CYHAL_SYSPM_HIBERNATE_LPCOMP0_LOW | CYHAL_SYSPM_HIBERNATE_LPCOMP0_HIGH);&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="return"><para>Returns CY_RSLT_SUCCESS if the processor successfully entered the hibernate mode, otherwise error. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="312" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_syspm.c" bodystart="287" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="285" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__syspm_1gaae0157682bad1b2155738e73347afa87" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_syspm_set_system_state</definition>
        <argsstring>(cyhal_syspm_system_state_t state)</argsstring>
        <name>cyhal_syspm_set_system_state</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__syspm_1ga144e474d3bfb544b207f172d1d8bd633">cyhal_syspm_system_state_t</ref></type>
          <declname>state</declname>
        </param>
        <briefdescription>
<para>Set the system-wide state of the device. </para>        </briefdescription>
        <detaileddescription>
<para>This is used to change the power state within the Active power mode. <ref kindref="member" refid="group__group__hal__syspm_1gaf5aec2878d9a38835444befb25e274fe">cyhal_syspm_get_system_state</ref> can be used to get the current state. <verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Not all devices support different states within the Active power mode. If the device does not support changing state, an error will be returned.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">state</parametername>
</parameternamelist>
<parameterdescription>
<para>System wide state.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns CY_RSLT_SUCCESS if the processor successfully entered the requested system state, otherwise error. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="343" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_syspm.c" bodystart="314" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="298" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__syspm_1gaf5aec2878d9a38835444befb25e274fe" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__hal__syspm_1ga144e474d3bfb544b207f172d1d8bd633">cyhal_syspm_system_state_t</ref></type>
        <definition>cyhal_syspm_system_state_t cyhal_syspm_get_system_state</definition>
        <argsstring>()</argsstring>
        <name>cyhal_syspm_get_system_state</name>
        <briefdescription>
<para>Gets the system-wide state of the device. </para>        </briefdescription>
        <detaileddescription>
<para>States can be changed by calling <ref kindref="member" refid="group__group__hal__syspm_1gaae0157682bad1b2155738e73347afa87">cyhal_syspm_set_system_state</ref>. <verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Not all devices support different states within the Active power mode. If the device does not support changing state, this will return &lt;a href="group__group__hal__syspm.html#group__group__hal__syspm_1gga144e474d3bfb544b207f172d1d8bd633acd2a5522b6591eb77418369e464a3eb1"&gt;CYHAL_SYSPM_SYSTEM_NORMAL&lt;/a&gt;. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="return"><para>Returns the current system-wide power state of the device. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="307" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__syspm_1ga5d1637ece9b27528636981acfc893fd3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_syspm_register_callback</definition>
        <argsstring>(cyhal_syspm_callback_data_t *callback_data)</argsstring>
        <name>cyhal_syspm_register_callback</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__syspm__callback__data__t">cyhal_syspm_callback_data_t</ref> *</type>
          <declname>callback_data</declname>
        </param>
        <briefdescription>
<para>Register the specified handler with the power manager to be notified of power state changes. </para>        </briefdescription>
        <detaileddescription>
<para>This is intended for application wide decisions. Peripherals handle their ability to perform power transitions internally. This callback will be called before any of the peripheral callbacks for <ref kindref="member" refid="group__group__hal__syspm_1gga5a6a88eb2b6e35dbea25e36b027bf4baa1d8aad9b05d313a22e7666a98414f26d">CYHAL_SYSPM_CHECK_READY</ref> and <ref kindref="member" refid="group__group__hal__syspm_1gga5a6a88eb2b6e35dbea25e36b027bf4baadd83c77cb81d9d4aafef1d094e6c4e71">CYHAL_SYSPM_BEFORE_TRANSITION</ref>. This callback will be called after all peripheral callback for <ref kindref="member" refid="group__group__hal__syspm_1gga5a6a88eb2b6e35dbea25e36b027bf4baa190eae9b4e71d4c245038320880dcca3">CYHAL_SYSPM_CHECK_FAIL</ref> and <ref kindref="member" refid="group__group__hal__syspm_1gga5a6a88eb2b6e35dbea25e36b027bf4baaf6a195dbd042da0bffc35b9161ca49e6">CYHAL_SYSPM_AFTER_TRANSITION</ref>. <verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The callback will be executed from a critical section&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">callback_data</parametername>
</parameternamelist>
<parameterdescription>
<para>The data for the callback to register </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="355" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_syspm.c" bodystart="345" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="319" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__syspm_1gae069670790199a668edffa9ec01fd538" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_syspm_unregister_callback</definition>
        <argsstring>(cyhal_syspm_callback_data_t *callback_data)</argsstring>
        <name>cyhal_syspm_unregister_callback</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__syspm__callback__data__t">cyhal_syspm_callback_data_t</ref> *</type>
          <declname>callback_data</declname>
        </param>
        <briefdescription>
<para>Removes the registered handler from the power manager so no future notifications are made. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">callback_data</parametername>
</parameternamelist>
<parameterdescription>
<para>The data for the callback to unregister </para></parameterdescription>
</parameteritem>
</parameterlist>
</para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="360" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_syspm.c" bodystart="357" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="325" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__syspm_1gac3e07ce98d215865b0f7f0149073bae2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_syspm_sleep</definition>
        <argsstring>(void)</argsstring>
        <name>cyhal_syspm_sleep</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Set CPU to sleep mode. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>Returns CY_RSLT_SUCCESS if the processor successfully entered the sleep mode , otherwise error. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="332" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__syspm_1ga0afe7e58c0df4a2eda5010ac628ea981" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_syspm_deepsleep</definition>
        <argsstring>(void)</argsstring>
        <name>cyhal_syspm_deepsleep</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Set CPU to deep sleep mode. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>Returns CY_RSLT_SUCCESS if the processor successfully entered the deep sleep mode, otherwise error. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="339" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__syspm_1ga3568214a6038240239f99768fe6707d6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_syspm_lock_deepsleep</definition>
        <argsstring>(void)</argsstring>
        <name>cyhal_syspm_lock_deepsleep</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Lock deep sleep. </para>        </briefdescription>
        <detaileddescription>
<para>This function prevents the CPU from going to deep sleep. The lock is implemented as a counter from 0 to USHRT_MAX. Each call to this function increments the counter by 1. <ref kindref="member" refid="group__group__hal__syspm_1ga028b85f03d4607ccac8494b46ec8413c">cyhal_syspm_unlock_deepsleep</ref> must be called an equal number of times to fully unlock. Deepsleep will only be allowed when the counter is equal to 0. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="371" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_syspm.c" bodystart="362" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="348" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__syspm_1ga028b85f03d4607ccac8494b46ec8413c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_syspm_unlock_deepsleep</definition>
        <argsstring>(void)</argsstring>
        <name>cyhal_syspm_unlock_deepsleep</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Unlock deep sleep. </para>        </briefdescription>
        <detaileddescription>
<para>This function decrements the lock counter by 1 and must be called an equal number of times as <ref kindref="member" refid="group__group__hal__syspm_1ga3568214a6038240239f99768fe6707d6">cyhal_syspm_lock_deepsleep</ref> is called to fully unlock. Deepsleep will only be allowed when the counter is equal to 0. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="382" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_syspm.c" bodystart="373" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="356" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__syspm_1ga2217e0c4c24cc5fe14d5765681de191d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_syspm_tickless_deepsleep</definition>
        <argsstring>(cyhal_lptimer_t *obj, uint32_t desired_ms, uint32_t *actual_ms)</argsstring>
        <name>cyhal_syspm_tickless_deepsleep</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__lptimer__t">cyhal_lptimer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>desired_ms</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>actual_ms</declname>
        </param>
        <briefdescription>
<para>Timed deep-sleep without system timer. </para>        </briefdescription>
        <detaileddescription>
<para>Provides a way to deep-sleep for a desired number of milliseconds(ms) with the system timer disabled. The system timer is disabled before sleeping and a low power timer is setup to wake the device from deep-sleep after the desired number of ms have elapsed.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The actual ms in the best case will be 1 ms less than the desired time to prevent the device from over-sleeping due to low clock accuracy.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pre-Initialized LPTimer object. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">desired_ms</parametername>
</parameternamelist>
<parameterdescription>
<para>Desired number of ms to deep-sleep. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">actual_ms</parametername>
</parameternamelist>
<parameterdescription>
<para>Actual number of ms that was spent in deep-sleep. This value can range from 0 to desired_ms - 1 depending on how long the device was able to deep-sleep. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the deep-sleep request. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="374" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__syspm_1ga777835c494bbea3923a4cf9795249fd6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_syspm_tickless_sleep</definition>
        <argsstring>(cyhal_lptimer_t *obj, uint32_t desired_ms, uint32_t *actual_ms)</argsstring>
        <name>cyhal_syspm_tickless_sleep</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__lptimer__t">cyhal_lptimer_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>desired_ms</declname>
        </param>
        <param>
          <type>uint32_t *</type>
          <declname>actual_ms</declname>
        </param>
        <briefdescription>
<para>Timed sleep without system timer. </para>        </briefdescription>
        <detaileddescription>
<para>Provides a way to sleep for a desired number of milliseconds(ms) with the system timer disabled. The system timer is disabled before sleeping and a low power timer is setup to wake the device from sleep after the desired number of ms have elapsed.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The actual ms in the best case will be 1 ms less than the desired time to prevent the device from over-sleeping due to low clock accuracy.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pre-Initialized LPTimer object. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">desired_ms</parametername>
</parameternamelist>
<parameterdescription>
<para>Desired number of ms to sleep. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">actual_ms</parametername>
</parameternamelist>
<parameterdescription>
<para>Actual number of ms that was spent in sleep. This value can range from 0 to desired_ms - 1 depending on how long the device was able to sleep. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the sleep request. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="392" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__syspm_1ga01d10df7bebeb345902a0d8e1c193ad1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_syspm_set_supply_voltage</definition>
        <argsstring>(cyhal_syspm_voltage_supply_t supply, uint32_t mvolts)</argsstring>
        <name>cyhal_syspm_set_supply_voltage</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__syspm_1ga843f8267deb62a570fff3ce7ebf1a6c4">cyhal_syspm_voltage_supply_t</ref></type>
          <declname>supply</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>mvolts</declname>
        </param>
        <briefdescription>
<para>Informs the system of the current voltage level on the specified supply. </para>        </briefdescription>
        <detaileddescription>
<para>This is generally expected to be set once at system startup, but it may be set repeatedly during runtime if operating conditions change. Once set, this value can be queried via <ref kindref="member" refid="group__group__hal__syspm_1ga6bbb8993f1add4b31d7b168fb670f842">cyhal_syspm_get_supply_voltage</ref>.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This only informs the system of the voltage level. It does not alter any of the device operating conditions.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>supply</parametername>
</parameternamelist>
<parameterdescription>
<para>The supply whose voltage is being specified. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>mvolts</parametername>
</parameternamelist>
<parameterdescription>
<para>The voltage level on the specified supply, in millivolts. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="443" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_syspm.c" bodystart="439" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="405" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__syspm_1ga6bbb8993f1add4b31d7b168fb670f842" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_syspm_get_supply_voltage</definition>
        <argsstring>(cyhal_syspm_voltage_supply_t supply)</argsstring>
        <name>cyhal_syspm_get_supply_voltage</name>
        <param>
          <type><ref kindref="member" refid="group__group__hal__syspm_1ga843f8267deb62a570fff3ce7ebf1a6c4">cyhal_syspm_voltage_supply_t</ref></type>
          <declname>supply</declname>
        </param>
        <briefdescription>
<para>Retrieves the current voltage level on the specified supply, as set in <ref kindref="member" refid="group__group__hal__syspm_1ga01d10df7bebeb345902a0d8e1c193ad1">cyhal_syspm_set_supply_voltage</ref>. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This only returns the value provided to &lt;a href="group__group__hal__syspm.html#group__group__hal__syspm_1ga01d10df7bebeb345902a0d8e1c193ad1"&gt;cyhal_syspm_set_supply_voltage&lt;/a&gt;. It does not perform any measurements of the current supply level.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>supply</parametername>
</parameternamelist>
<parameterdescription>
<para>The supply whose voltage is being specified. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The voltage level on the specified supply, in millivolts. If the voltage has not been specified, returns 0. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="449" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_syspm.c" bodystart="445" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" line="416" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides a high level interface for interacting with the Cypress power management configuration. </para>    </briefdescription>
    <detaileddescription>
<para>This interface abstracts out the chip specific details. If any chip specific functionality is necessary, or performance is critical the low level functions can be used directly.</para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="147"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="148"><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="151"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_general_types.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="153"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hw_types.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="156"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="157"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="158"><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="preprocessor">#define<sp />CYHAL_SYSPM_RSLT_BAD_ARGUMENT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="167"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_SYSPM,<sp />0))</highlight><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="preprocessor">#define<sp />CYHAL_SYSPM_RSLT_INIT_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="170"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_SYSPM,<sp />1))</highlight><highlight class="normal" /></codeline>
<codeline lineno="171"><highlight class="normal" /></codeline>
<codeline lineno="172"><highlight class="preprocessor">#define<sp />CYHAL_SYSPM_RSLT_CB_REGISTER_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="173"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_SYSPM,<sp />2))</highlight><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="preprocessor">#define<sp />CYHAL_SYSPM_RSLT_ERR_PM_PENDING<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="176"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_SYSPM,<sp />3))</highlight><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="normal" /></codeline>
<codeline lineno="178"><highlight class="preprocessor">#define<sp />CYHAL_SYSPM_RSLT_ERR_NOT_SUPPORTED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="179"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_SYSPM,<sp />4))</highlight><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="normal" /></codeline>
<codeline lineno="187"><highlight class="preprocessor">#define<sp />CYHAL_SYSPM_END_OF_LIST<sp />((cyhal_syspm_callback_data_t*)0x789)</highlight><highlight class="normal" /></codeline>
<codeline lineno="188"><highlight class="normal" /></codeline>
<codeline lineno="196"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal">{</highlight></codeline>
<codeline lineno="198"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga144e474d3bfb544b207f172d1d8bd633acd2a5522b6591eb77418369e464a3eb1">CYHAL_SYSPM_SYSTEM_NORMAL</ref>,<sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="199"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga144e474d3bfb544b207f172d1d8bd633af4060b98561e43a6b930576644af014f">CYHAL_SYSPM_SYSTEM_LOW</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="200"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__syspm_1ga144e474d3bfb544b207f172d1d8bd633">cyhal_syspm_system_state_t</ref>;</highlight></codeline>
<codeline lineno="201"><highlight class="normal" /></codeline>
<codeline lineno="206"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="207"><highlight class="normal">{</highlight></codeline>
<codeline lineno="208"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda57c81752ef79a93b9a9701c59a8b35e3">CYHAL_SYSPM_HIBERNATE_LPCOMP0_LOW</ref><sp /><sp /><sp />=<sp />0x01U,<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="209"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda765ef14d1cc8c55710c122b77798204b">CYHAL_SYSPM_HIBERNATE_LPCOMP0_HIGH</ref><sp /><sp />=<sp />0x02U,<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="210"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda0a4d1ab39bb8cbece570a555971bcd99">CYHAL_SYSPM_HIBERNATE_LPCOMP1_LOW</ref><sp /><sp /><sp />=<sp />0x04U,<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="211"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda46ab6d77f810acb319caff3616a8f88c">CYHAL_SYSPM_HIBERNATE_LPCOMP1_HIGH</ref><sp /><sp />=<sp />0x08U,<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="212"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda2a495fcdf84252843b6fc9bc4e27206a">CYHAL_SYSPM_HIBERNATE_RTC_ALARM</ref><sp /><sp /><sp /><sp /><sp />=<sp />0x10U,<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="213"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda519c726a562e214bd1694137e62a22e1">CYHAL_SYSPM_HIBERNATE_WDT</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x20U,<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="214"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda9ccdbb4f654ce023bea0fafba50cab53">CYHAL_SYSPM_HIBERNATE_PINA_LOW</ref><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x40U,<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="216"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda0882eed07391eb7773ea2f4c47a7b5ff">CYHAL_SYSPM_HIBERNATE_PINA_HIGH</ref><sp /><sp /><sp /><sp /><sp />=<sp />0x80U,<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="218"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda1bf3cfcfb69b48e6b0ef5a525cc6eb3d">CYHAL_SYSPM_HIBERNATE_PINB_LOW</ref><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0x100U,<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="220"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga716955af458772e538910575cbf6e1dda69f639b3f33245d1a789fd443b94b47d">CYHAL_SYSPM_HIBERNATE_PINB_HIGH</ref><sp /><sp /><sp /><sp /><sp />=<sp />0x200U<sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="222"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__syspm_1ga716955af458772e538910575cbf6e1dd">cyhal_syspm_hibernate_source_t</ref>;</highlight></codeline>
<codeline lineno="223"><highlight class="normal" /></codeline>
<codeline lineno="230"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="231"><highlight class="normal">{</highlight></codeline>
<codeline lineno="232"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga843f8267deb62a570fff3ce7ebf1a6c4af5c399ada3960bb3f5e6784be9bdccc9">CYHAL_VOLTAGE_SUPPLY_VDDA</ref><sp />=<sp />0u,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="233"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__syspm_1gga843f8267deb62a570fff3ce7ebf1a6c4a072774e669a76b4999d596b27bf897b0">CYHAL_VOLTAGE_SUPPLY_MAX</ref><sp /><sp />=<sp /><ref kindref="member" refid="group__group__hal__syspm_1gga843f8267deb62a570fff3ce7ebf1a6c4af5c399ada3960bb3f5e6784be9bdccc9">CYHAL_VOLTAGE_SUPPLY_VDDA</ref><sp /></highlight></codeline>
<codeline lineno="234"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__syspm_1ga843f8267deb62a570fff3ce7ebf1a6c4">cyhal_syspm_voltage_supply_t</ref>;</highlight></codeline>
<codeline lineno="235"><highlight class="normal" /></codeline>
<codeline lineno="285"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__syspm_1ga507445e44ab6aae0f4cbaabaec6c5a3f">cyhal_syspm_hibernate</ref>(<ref kindref="member" refid="group__group__hal__syspm_1ga716955af458772e538910575cbf6e1dd">cyhal_syspm_hibernate_source_t</ref><sp />wakeup_source);</highlight></codeline>
<codeline lineno="286"><highlight class="normal" /></codeline>
<codeline lineno="298"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__syspm_1gaae0157682bad1b2155738e73347afa87">cyhal_syspm_set_system_state</ref>(<ref kindref="member" refid="group__group__hal__syspm_1ga144e474d3bfb544b207f172d1d8bd633">cyhal_syspm_system_state_t</ref><sp />state);</highlight></codeline>
<codeline lineno="299"><highlight class="normal" /></codeline>
<codeline lineno="307"><highlight class="normal"><ref kindref="member" refid="group__group__hal__syspm_1ga144e474d3bfb544b207f172d1d8bd633">cyhal_syspm_system_state_t</ref><sp /><ref kindref="member" refid="group__group__hal__syspm_1gaf5aec2878d9a38835444befb25e274fe">cyhal_syspm_get_system_state</ref>();</highlight></codeline>
<codeline lineno="308"><highlight class="normal" /></codeline>
<codeline lineno="319"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__syspm_1ga5d1637ece9b27528636981acfc893fd3">cyhal_syspm_register_callback</ref>(<ref kindref="compound" refid="structcyhal__syspm__callback__data__t">cyhal_syspm_callback_data_t</ref><sp />*callback_data);</highlight></codeline>
<codeline lineno="320"><highlight class="normal" /></codeline>
<codeline lineno="325"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__syspm_1gae069670790199a668edffa9ec01fd538">cyhal_syspm_unregister_callback</ref>(<ref kindref="compound" refid="structcyhal__syspm__callback__data__t">cyhal_syspm_callback_data_t</ref><sp />*callback_data);</highlight></codeline>
<codeline lineno="326"><highlight class="normal" /></codeline>
<codeline lineno="332"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__syspm_1gac3e07ce98d215865b0f7f0149073bae2">cyhal_syspm_sleep</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="333"><highlight class="normal" /></codeline>
<codeline lineno="339"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__syspm_1ga0afe7e58c0df4a2eda5010ac628ea981">cyhal_syspm_deepsleep</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="340"><highlight class="normal" /></codeline>
<codeline lineno="348"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__syspm_1ga3568214a6038240239f99768fe6707d6">cyhal_syspm_lock_deepsleep</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="349"><highlight class="normal" /></codeline>
<codeline lineno="356"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__syspm_1ga028b85f03d4607ccac8494b46ec8413c">cyhal_syspm_unlock_deepsleep</ref>(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline lineno="357"><highlight class="normal" /></codeline>
<codeline lineno="374"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__syspm_1ga2217e0c4c24cc5fe14d5765681de191d">cyhal_syspm_tickless_deepsleep</ref>(<ref kindref="compound" refid="structcyhal__lptimer__t">cyhal_lptimer_t</ref><sp />*obj,<sp />uint32_t<sp />desired_ms,<sp />uint32_t<sp />*actual_ms);</highlight></codeline>
<codeline lineno="375"><highlight class="normal" /></codeline>
<codeline lineno="392"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__syspm_1ga777835c494bbea3923a4cf9795249fd6">cyhal_syspm_tickless_sleep</ref>(<ref kindref="compound" refid="structcyhal__lptimer__t">cyhal_lptimer_t</ref><sp />*obj,<sp />uint32_t<sp />desired_ms,<sp />uint32_t<sp />*actual_ms);</highlight></codeline>
<codeline lineno="393"><highlight class="normal" /></codeline>
<codeline lineno="405"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__syspm_1ga01d10df7bebeb345902a0d8e1c193ad1">cyhal_syspm_set_supply_voltage</ref>(<ref kindref="member" refid="group__group__hal__syspm_1ga843f8267deb62a570fff3ce7ebf1a6c4">cyhal_syspm_voltage_supply_t</ref><sp />supply,<sp />uint32_t<sp />mvolts);</highlight></codeline>
<codeline lineno="406"><highlight class="normal" /></codeline>
<codeline lineno="416"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__hal__syspm_1ga6bbb8993f1add4b31d7b168fb670f842">cyhal_syspm_get_supply_voltage</ref>(<ref kindref="member" refid="group__group__hal__syspm_1ga843f8267deb62a570fff3ce7ebf1a6c4">cyhal_syspm_voltage_supply_t</ref><sp />supply);</highlight></codeline>
<codeline lineno="417"><highlight class="normal" /></codeline>
<codeline lineno="418"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="419"><highlight class="normal">}</highlight></codeline>
<codeline lineno="420"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="421"><highlight class="normal" /></codeline>
<codeline lineno="422"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />CYHAL_SYSPM_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="423"><highlight class="normal" /><highlight class="preprocessor">#include<sp />CYHAL_SYSPM_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="424"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CYHAL_SYSTEM_IMPL_HEADER<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="425"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_syspm.h" />
  </compounddef>
</doxygen>